# Uses of Class
serp.bytecode.Local

Packages that use Local
Package
Description
serp.bytecode
Bytecode Manipuation

## Uses of Local in serp.bytecode

Subclasses of Local in serp.bytecode
Modifier and Type
Class
Description
`class`
`LocalVariable`
A local variable contains the name, description, index and scope of a local used in opcodes.
`class`
`LocalVariableType`
A local variable type contains the name, signature, index and scope of a generics-using local used in opcodes.
Methods in serp.bytecode that return Local
Modifier and Type
Method
Description
`Local`
LocalTable.`addLocal()`
Add a local to this table.
`Local`
LocalTable.`addLocal(String name, String type)`
Add a local to this table.
`Local`
LocalTable.`addLocal(Local local)`
Import a local from another method/class.
`Local`
LocalTable.`getLocal(int local)`
Return the local with the given locals index, or null if none.
`Local`
LocalTable.`getLocal(String name)`
Return the local with the given name, or null if none.
`Local[]`
LocalTable.`getLocals()`
Return all the locals of this method.
`Local[]`
LocalTable.`getLocals(String name)`
Return all locals with the given name, or empty array if none.
`protected abstract Local`
LocalTable.`newLocal()`
Create a new element of this table.
`protected Local`
LocalVariableTable.`newLocal()`
`protected Local`
LocalVariableTypeTable.`newLocal()`
`protected abstract Local[]`
LocalTable.`newLocalArray(int size)`
Create a new array.
`protected Local[]`
LocalVariableTable.`newLocalArray(int size)`
`protected Local[]`
LocalVariableTypeTable.`newLocalArray(int size)`
Methods in serp.bytecode with parameters of type Local
Modifier and Type
Method
Description
`Local`
LocalTable.`addLocal(Local local)`
Import a local from another method/class.
`boolean`
LocalTable.`removeLocal(Local local)`
Removes a local from this method.
`void`
LocalTable.`setLocals(Local[] locals)`
Set the locals of this table.